namespace elm { 
inline ::efl::eolian::return_traits<Elm_Bubble_Pos>::type Bubble::pos_get() const
{
   Elm_Bubble_Pos __return_value =  ::elm_obj_bubble_pos_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Bubble_Pos>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Bubble::pos_set( ::efl::eolian::in_traits<Elm_Bubble_Pos>::type pos) const
{
    ::elm_obj_bubble_pos_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Bubble_Pos,  ::efl::eolian::in_traits<Elm_Bubble_Pos>::type>(pos));
}
} 
namespace eo_cxx {
namespace elm { 
inline ::efl::eolian::return_traits<Elm_Bubble_Pos>::type Bubble::pos_get() const
{
   Elm_Bubble_Pos __return_value =  ::elm_obj_bubble_pos_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Bubble_Pos>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Bubble::pos_set( ::efl::eolian::in_traits<Elm_Bubble_Pos>::type pos) const
{
    ::elm_obj_bubble_pos_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Bubble_Pos,  ::efl::eolian::in_traits<Elm_Bubble_Pos>::type>(pos));
}
inline elm::Bubble::operator ::elm::Bubble() const { return *static_cast< ::elm::Bubble const*>(static_cast<void const*>(this)); }
inline elm::Bubble::operator ::elm::Bubble&() { return *static_cast< ::elm::Bubble*>(static_cast<void*>(this)); }
inline elm::Bubble::operator ::elm::Bubble const&() const { return *static_cast< ::elm::Bubble const*>(static_cast<void const*>(this)); }
} }

